SoTimerQueueSensor(3IV)

NAME
SoTimerQueueSensor — abstract base class for sensors dependent on time

INHERITS FROM
SoSensor > SoTimerQueueSensor

SYNOPSIS
#include <Inventor/sensors/SoTimerQueueSensor.h>

Methods from class SoTimerQueueSensor:

const SbTime &
getTriggerTime()
virtual void
schedule()
virtual void
unschedule()
virtual SbBool
isScheduled()

Methods from class SoSensor:

void
setFunction(SoSensorCB *callbackFunction)
SoSensorCB *
getFunction() const
void
setData(void *callbackData)
void *
getData() const

DESCRIPTION
Timer queue sensors are sensors that trigger themselves at specific times. The timer queue is normally processed as part of a programs main loop when the program is not busy doing something else. Note that processing the timer queue is not asynchronous — the program must re-enter its main loop for timers to be triggered. When the timer queue is processed, all timers scheduled to go off at or before the current time are triggered once, in order from earliest to latest.

METHODS
const SbTime &
getTriggerTime()
Returns the time at which this sensor is scheduled to be triggered. If the sensor is not scheduled the results are undefined.

virtual void
schedule()
Adds this sensor to the timer queue. Subclasses provide methods for setting when the sensor will be triggered.

virtual void
unschedule()
If this sensor is scheduled, removes it from the timer queue so that it will not be triggered.

virtual SbBool
isScheduled()
Returns TRUE if this sensor has been scheduled and is waiting in the timer queue to be triggered.

SEE ALSO
SoTimerSensor, SoAlarmSensor, SoIdleSensor, SoOneShotSensor, SoDataSensor